[data-tooltip] {
    position: relative;

    &::after {
        font-size: 0.85rem;
        background: rgba(0,0,0,0.75);
        color: white;
        content: attr(data-tooltip);
        position: absolute;
        left: 50%;
        bottom: 100%;
        transform: translate(-50%, 50%);
        padding: 0 0.5rem;
        line-height: 1.5rem;
        white-space: nowrap;
        border-radius: 0.125rem;
        transition: transform 250ms, opacity 250ms;
        pointer-events: none;
        opacity: 0;
    }

    &:hover::after {
        transform: translate(-50%, 0%);
        opacity: 1;
    }
}
